Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmChangeExpenses.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmChangeExpenses.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmChangeExpenses.cs	(revision 51)
@@ -0,0 +1,352 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Collections;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+
+namespace ProcessManagement.Forms.SubForms
+{
+    public partial class FrmChangeExpenses : Form
+    {
+        #region ログ使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        private enum GridColumns
+        {
+            No = 0,
+            ExpCode,
+            ExpName,
+            ExpParcent,
+            ExpPrice,
+        }
+        #endregion
+
+        #region 変数
+
+        #region 動作抑制フラグ
+        /// <summary>
+        /// 動作抑制フラグ
+        /// </summary>
+        private bool m_bProcLockFlag = true;
+        #endregion
+
+        #region データ変更フラグ
+        /// <summary>
+        /// データ変更フラグ
+        /// </summary>
+        private bool m_bDataChange = false;
+        #endregion
+
+        #region 終了状態フラグ
+        /// <summary>
+        /// 終了状態フラグ
+        /// </summary>
+        private DialogResult m_EndButton = DialogResult.None;
+        #endregion
+
+        #region 受注金額
+        /// <summary>
+        /// 受注金額
+        /// </summary>
+        private object m_OrdersPrice = 0;
+        #endregion
+
+        #region グリッド表示データ
+        /// <summary>
+        /// グリッド表示データ
+        /// </summary>
+        private ArrayList m_GridData;
+        #endregion
+
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 受注金額
+        /// </summary>
+        public object OrdersPrice
+        {
+            get { return m_OrdersPrice; }
+            set { m_OrdersPrice = value; }
+        }
+
+        /// <summary>
+        /// グリッド表示データ
+        /// </summary>
+        public ArrayList GridData
+        {
+            get { return m_GridData; }
+            set { m_GridData = value; }
+        }
+
+        /// <summary>
+        /// 終了ボタン状態
+        /// </summary>
+        public DialogResult EndButton
+        {
+            get { return m_EndButton; }
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// フォーム初期化
+        /// </summary>
+        public FrmChangeExpenses()
+        {
+            InitializeComponent();
+        }
+        #endregion
+
+        #region フォームロード
+        /// <summary>
+        /// フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmCostStructureDiag_Load(object sender, EventArgs e)
+        {
+            // フォームサイズ固定
+            this.MaximizedBounds = new Rectangle(this.Left, this.Top, this.Width, this.Height);
+         
+            // 初期表示
+            InitDataLoad();
+
+            m_bProcLockFlag = false;
+        }
+        #endregion
+
+        #region ×ボタン押下
+        /// <summary>
+        /// ×ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmChangeExpenses_FormClosing(object sender, FormClosingEventArgs e)
+        {
+            if (m_bDataChange)
+            {
+
+                if (MessageBox.Show("データに変更があります、登録せずに終了してよろしいですか？。", "終了確認"
+                                , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                {
+                    e.Cancel = true;
+                    return;
+                }
+            }
+
+            if (m_EndButton == DialogResult.None) m_EndButton = DialogResult.Cancel;
+        }
+        #endregion
+
+        #region 変更ボタン押下
+        /// <summary>
+        /// 変更ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnExecProc1_Click(object sender, EventArgs e)
+        {
+            // 表示データ取得
+            GetDspData();
+
+            m_EndButton = DialogResult.OK;
+            m_bDataChange = false;
+
+            this.Close();
+        }
+        #endregion
+
+        #region 終了ボタン押下
+        /// <summary>
+        /// 終了ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEnd_Click(object sender, EventArgs e)
+        {
+            m_EndButton = DialogResult.Cancel;
+            
+            this.Close();
+        }
+        #endregion
+
+        #region 経費行作成ボタン押下
+        /// <summary>
+        /// 経費行作成ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnLineCreate_Click(object sender, EventArgs e)
+        {
+
+        }
+        #endregion
+
+        #region 経費行削除ボタン押下
+        /// <summary>
+        /// 経費行削除ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnLineRemove_Click(object sender, EventArgs e)
+        {
+
+        }
+        #endregion
+
+        #region 表示関連
+        /// <summary>
+        /// 初期表示処理
+        /// </summary>
+        private void InitDataLoad()
+        {
+            try
+            {
+                // 受注金額表示
+                lblTotal.Text = CommonMotions.cnvString(m_OrdersPrice).Replace("\\","");
+                // グリッド表示
+                foreach (object[] CurRec in m_GridData)
+                {
+                    dgvMaster.Rows.Add(CurRec);
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                if (dgvMaster.RowCount <= 3) dgvMaster.Rows.Add(4 - dgvMaster.RowCount);
+            }
+        }
+        #endregion
+
+        #region セル値変化時
+        /// <summary>
+        /// セル値変化時
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvMaster_CellValueChanged(object sender, DataGridViewCellEventArgs e)
+        {
+            bool bSave = m_bProcLockFlag;
+            try
+            {
+                if (m_bProcLockFlag) return;
+
+                m_bProcLockFlag = true;
+
+                DataGridView dgv = dgvMaster;
+                DataGridViewRow dgvRow = dgv.CurrentRow;
+                DataGridViewCell dgvCell = dgv.CurrentCell;
+
+                // 値取得
+                double dOrders = CommonMotions.cnvDouble(lblTotal.Text);
+                double dParcent = CommonMotions.cnvDouble(dgvRow.Cells[(int)GridColumns.ExpParcent].Value);
+                double dPrice = CommonMotions.cnvDouble(dgvRow.Cells[(int)GridColumns.ExpPrice].Value);
+
+                switch (dgvCell.ColumnIndex)
+                {
+                    case (int)GridColumns.ExpParcent:
+                        dPrice = (dParcent / 100.0) * dOrders;
+                        break;
+                    case (int)GridColumns.ExpPrice:
+                        if (dOrders != 0) dParcent = dPrice / dOrders * 100.0;
+                        else dParcent = 0;
+                        break;
+                }
+
+                // 表示変更
+                dgvRow.Cells[(int)GridColumns.ExpParcent].Value = dParcent.ToString("0.00");
+                dgvRow.Cells[(int)GridColumns.ExpPrice].Value = CommonMotions.cnvRoundUp(dPrice).ToString("#,0");
+
+                m_bDataChange = true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                m_bProcLockFlag = bSave;
+            }
+        }
+        #endregion
+
+        #region 編集前処理
+        /// <summary>
+        /// 編集前処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvMaster_CellEnter(object sender, DataGridViewCellEventArgs e)
+        {
+            try
+            {
+                DataGridView dgv = dgvMaster;
+                //IMEのモードを変更する
+                switch (e.ColumnIndex)
+                {
+                    default:
+                        dgv.ImeMode = ImeMode.Disable;
+                        break;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region グリッドデータ取得
+        /// <summary>
+        /// グリッドデータ取得
+        /// </summary>
+        private void GetDspData()
+        {
+            try
+            {
+                m_GridData.Clear();
+                DataGridView dgv = dgvMaster;
+                for (int i = 0; i < dgv.RowCount; i++)
+                {
+                    DataGridViewRow CurRow = dgv.Rows[i];
+
+                    if (CommonMotions.cnvInt(CurRow.Cells[(int)GridColumns.ExpCode].Value) == 0) continue;
+
+                    object[] DataRec = new object[] { CurRow.Cells[(int)GridColumns.No].Value,
+                                                        CurRow.Cells[(int)GridColumns.ExpCode].Value,
+                                                        CurRow.Cells[(int)GridColumns.ExpName].Value,
+                                                        CurRow.Cells[(int)GridColumns.ExpParcent].Value,
+                                                        CurRow.Cells[(int)GridColumns.ExpPrice].Value
+                    };
+                    m_GridData.Add(DataRec);
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                if (dgvMaster.RowCount <= 3) dgvMaster.Rows.Add(4 - dgvMaster.RowCount);
+            }
+        }
+        #endregion
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmComponentDiag.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmComponentDiag.Designer.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmComponentDiag.Designer.cs	(revision 51)
@@ -219,7 +219,7 @@
             this.ShowIcon = false;
             this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
             this.Text = "大項目選択";
-            this.Load += new System.EventHandler(this.FrmCostStructureDiag_Load);
+            this.Load += new System.EventHandler(this.FrmComponent_Load);
             ((System.ComponentModel.ISupportInitialize)(this.dgvMaster)).EndInit();
             this.ResumeLayout(false);
             this.PerformLayout();
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmComponentDiag.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmComponentDiag.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmComponentDiag.cs	(revision 51)
@@ -147,7 +147,7 @@
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void FrmCostStructureDiag_Load(object sender, EventArgs e)
+        private void FrmComponent_Load(object sender, EventArgs e)
         {
             // 初期表示
             InitDataLoad();
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmConstructionDiag.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmConstructionDiag.Designer.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmConstructionDiag.Designer.cs	(revision 51)
@@ -39,6 +39,8 @@
             this.Column5 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column4 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column6 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             ((System.ComponentModel.ISupportInitialize)(this.dgvMaster)).BeginInit();
             this.SuspendLayout();
             // 
@@ -89,7 +91,9 @@
             this.Column1,
             this.Column5,
             this.Column3,
-            this.Column2});
+            this.Column2,
+            this.Column4,
+            this.Column6});
             this.dgvMaster.Location = new System.Drawing.Point(12, 8);
             this.dgvMaster.Name = "dgvMaster";
             this.dgvMaster.RowHeadersVisible = false;
@@ -104,7 +108,6 @@
             // 
             dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
             dataGridViewCellStyle2.Font = new System.Drawing.Font("ＭＳ 明朝", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle2.NullValue = "false";
             this.Column1.DefaultCellStyle = dataGridViewCellStyle2;
             this.Column1.Frozen = true;
             this.Column1.HeaderText = "№";
@@ -146,6 +149,22 @@
             this.Column2.Name = "Column2";
             this.Column2.Visible = false;
             // 
+            // Column4
+            // 
+            this.Column4.Frozen = true;
+            this.Column4.HeaderText = "発注者区分";
+            this.Column4.Name = "Column4";
+            this.Column4.ReadOnly = true;
+            this.Column4.Visible = false;
+            // 
+            // Column6
+            // 
+            this.Column6.Frozen = true;
+            this.Column6.HeaderText = "発注者コード";
+            this.Column6.Name = "Column6";
+            this.Column6.ReadOnly = true;
+            this.Column6.Visible = false;
+            // 
             // FrmConstructionDiag
             // 
             this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
@@ -179,5 +198,7 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn Column5;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column3;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column2;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column4;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column6;
     }
 }
\ No newline at end of file
